#ifndef __PROTOUTIL_H__
#define __PROTOUTIL_H__

char pLogFile[MAX_PATH];

int add_float_ieee754(unsigned char *wp,float val);
int asm_float_ieee754(unsigned char *wp, float *val);
int add_int32(unsigned char *wp,long val);
int asm_int32(unsigned char *wp,long *val);
int add_int16(unsigned char *wp,int val);
int asm_int16(unsigned char *wp,unsigned short *val);
int add_int8(unsigned char *wp,int val);
int asm_int8(unsigned char *wp,int *val);
int make_buffer_from_line(char *in, unsigned char *out);
int track2_get_pan(unsigned char *track2bcd,char *pan, char *expdate);
int track2_get_length(unsigned char *track2bcd);
void line_input(const char *prompt, char *buf);
int read_track2(char *buf);
int track2_ascii2hex(char *buf, unsigned char *hex);
void hexdump(void *adr,int len);
void pinblock_creating(char*pin, unsigned char *pan, int pan_length, unsigned char *hex);
int black_box(char *pan_ascii,unsigned char *track2bcd, unsigned char *pinblock);
int add_symbol(unsigned char *wp,int val);
int add_hex_byte(unsigned char *wp,int val);
int lrc_calc(unsigned char *buf,int len);
unsigned short unsigned_short_from_hex(char *in);
unsigned long ulong_hex(const char *in);
#endif


